Next: Nios II Syntax, Up: NiosII-Dependent [Contents][Index]

#### 9.30.1 Options

`-relax-section`

  Replace identified out-of-range branches with PC-relative `jmp` sequences when possible. The generated code sequences are suitable for use in position-independent code, but there is a practical limit on the extended branch range because of the length of the sequences. This option is the default.

`-relax-all`

  Replace branch instructions not determinable to be in range and all call instructions with `jmp` and `callr` sequences (respectively). This option generates absolute relocations against the target symbols and is not appropriate for position-independent code.

`-no-relax`

  Do not replace any branches or calls.

`-EB`

  Generate big-endian output.

`-EL`

  Generate little-endian output. This is the default.